'Add button in toolbar' from Processing-algorithm throws error

2019-01-04 02:29 PM - Filip Mahieu

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GUI

Affected QGIS version:3.4.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 28739

Description

When selecting in the menu:

Extra, Options, tab 'Processing', 'Menu's', 'QGis', select a algorithm.

There you see the checkbox 'Add button in toolbar'. When you check this and you click 'OK', an error is thrown:

'RuntimeError: wrapped C/C++ object of type ReseauTi has been deleted 

Traceback (most recent call last):

  File "C:/Users/M0116/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\networks\networks_provider.py", line 123, in

loadAlgorithms

    self.addAlgorithm( alg )

RuntimeError: wrapped C/C++ object of type ReseauTi has been deleted

Python versie: 3.7.0 (v3.7.0:1bf9cc5093, Jun 27 2018, 04:59:51) [MSC v.1914 64 bit (AMD64)] 

QGIS versie: 3.4.1-Madeira Madeira, 383851c597

Python pad:

C:/Users/M0116/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\networks

C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python

C:/Users/M0116/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:/Users/M0116/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins

C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins

C:\Program Files\QGIS 3.4\bin\python37.zip

C:\PROGRA~1\QGIS3~1.4\apps\Python37\DLLs

C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib

C:\Program Files\QGIS 3.4\bin

C:\PROGRA~1\QGIS3~1.4\apps\Python37

C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages

C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\win32

C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\win32\lib

C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\Pythonwin

C:/Users/M0116/AppData/Roaming/QGIS/QGIS3\profiles\default/python

V:/gis/M00/Gis-projecten/Windmolens/Ontwerpproject'

Can it be fixed?

History

#1 - 2019-01-04 08:10 PM - Nyall Dawson

- Status changed from Open to Feedback

2025-06-08 1/2



Please test with 3.4.3

#2 - 2019-01-25 12:20 PM - Alexander Bruy

- Resolution set to worksforme

- Status changed from Feedback to Closed

- Category changed from GUI to Processing/GUI

Works fine in master. Please reopen if necessary.
